use std::net::{IpAddr, Ipv4Addr};

use libpod::command_line_interface::CliOptions;

pub fn default_cli() -> CliOptions {
    CliOptions {
        port: 3030,
        owners: "ANY".to_string(),
        use_kubernetes: false,
        plugins_callback_address: None,
        plugins_public_domain: None,
        plugins_docker_network: None,
        insecure_plugin_script: Vec::new(),
        tls_pub_crt: "".to_string(),
        tls_priv_key: "".to_string(),
        non_tls: true,
        insecure_non_tls: Some(IpAddr::V4(Ipv4Addr::new(0, 0, 0, 0))),
        shared_server: false,
        email_smtp_relay: None,
        email_smtp_port: 465,
        email_smtp_user: None,
        email_smtp_password: None,
    }
}
