use reqwest::StatusCode;
use serde_json::Value;

use crate::error::Error;
use crate::error::Result;

// Treat item as an JSON object and retrieve value from the property
pub fn get_property_value<'a>(item: &'a Value, property_name: &str) -> Result<&'a Value> {
    item.as_object()
        .ok_or(Error {
            code: StatusCode::BAD_REQUEST,
            msg: "Value is not an object".to_string(),
        })?
        .get(property_name)
        .ok_or(Error {
            code: StatusCode::BAD_REQUEST,
            msg: format!("Could not get property {}", property_name),
        })
}
