echo "Format"
cargo fmt --all

echo "Clippy"
touch libpod/src/lib.rs && cargo clippy --all-targets --all-features -- -D warnings

echo "Audit"
TIME_CVE=RUSTSEC-2020-0071 CHRONO_CVE=RUSTSEC-2020-0159 cargo audit --ignore "$TIME_CVE" --ignore "$CHRONO_CVE"

echo "Test"
RUST_LOG=info cargo test -- --nocapture --include-ignored

echo "Integration Tests"
RUST_LOG=info cargo test --test "*" --features=include_slow_tests -- --nocapture